Bug 563313 - cups driver gives incorrect output with -r600x600
Summary: cups driver gives incorrect output with -r600x600
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: ghostscript
Version: 12
Hardware: All
OS: Linux
low
high
Target Milestone: ---
Assignee: Tim Waugh
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
: 565804 (view as bug list)
Depends On:
Blocks: 541604 557458
TreeView+ depends on / blocked
 
Reported: 2010-02-09 19:43 UTC by Richard Körber
Modified: 2010-04-20 13:28 UTC (History)
5 users (show)

Fixed In Version: ghostscript-8.71-6.fc11
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2010-04-13 01:55:55 UTC


Attachments (Terms of Use)
ppd of the printer queue (37.40 KB, text/plain)
2010-02-11 22:15 UTC, Richard Körber
no flags Details
in.ps.bz2 (PostScript input for reproducer) (390.56 KB, application/octet-stream)
2010-02-12 15:29 UTC, Tim Waugh
no flags Details


Links
System ID Priority Status Summary Last Updated
Ghostscript 691108 None None None Never

Description Richard Körber 2010-02-09 19:43:50 UTC
Description of problem:
After updating to ghostscript-8.70-5.fc12.x86_64, the printer only prints black pages with small vertical lines and some patterns on it. After downgrading to ghostscript-8.70-2.fc12.x86_64.rpm, everything works fine again.

Version-Release number of selected component (if applicable):
ghostscript-8.70-5.fc12.x86_64
cups-1.4.2-20.fc12.x86_64
turboprint-2.12-1.x86_64 (from http://www.turboprint.de/)

How reproducible:
Always

Steps to Reproduce:
1. Update to ghostscript-8.70-5.fc12.x86_64
2. Print something (e.g. a PDF file or a test page).
  
Actual results:
The printed page is mostly black with only some vertical stripes and patterns on it.

Expected results:
The page is printed correctly.

Additional info:
I am using turboprint as driver for my Canon Pixma IP 4000. I don't know if this is a bug in ghostscript or an incompatibility with turboprint. Anyhow I could reproduce this behaviour on two Fedora 12 x86_64 machines.

Comment 1 Tim Waugh 2010-02-11 13:10:11 UTC
Please attach the PPD for the queue you are using.  You can find this in the /etc/cups/ppd directory.

Comment 2 Richard Körber 2010-02-11 22:15:15 UTC
Created attachment 390356 [details]
ppd of the printer queue

Comment 3 Tim Waugh 2010-02-12 15:21:26 UTC
Thanks.  This is some kind of regression in the ghostscript cups driver.

Comment 4 Tim Waugh 2010-02-12 15:29:07 UTC
Created attachment 390508 [details]
in.ps.bz2 (PostScript input for reproducer)

This file, along with the PPD, shows the problem.

1. bunzip2 in.ps.bz2
2. PPD=tp0.ppd gs -sDEVICE=cups -r600x600 -dSAFER -dNOPAUSE -dBATCH -sOutputFile=out.rast
3. rasterview out.rast

Comment 5 Tim Waugh 2010-02-16 12:57:34 UTC
*** Bug 565804 has been marked as a duplicate of this bug. ***

Comment 6 Fedora Update System 2010-02-16 12:58:46 UTC
ghostscript-8.70-6.fc12 has been submitted as an update for Fedora 12.
http://admin.fedoraproject.org/updates/ghostscript-8.70-6.fc12

Comment 7 Richard Körber 2010-02-16 22:01:38 UTC
ghostscript-8.70-6.fc12 fixes the bug for me. Thank you!

Comment 8 Fedora Update System 2010-02-17 18:22:30 UTC
ghostscript-8.71-1.fc12 has been submitted as an update for Fedora 12.
http://admin.fedoraproject.org/updates/ghostscript-8.71-1.fc12

Comment 9 Peter Bieringer 2010-02-18 22:50:22 UTC
8.71-1.fc12 works for me

Comment 10 Fedora Update System 2010-02-19 11:55:34 UTC
ghostscript-8.71-2.fc12 has been submitted as an update for Fedora 12.
http://admin.fedoraproject.org/updates/ghostscript-8.71-2.fc12

Comment 11 John Cooper 2010-02-19 18:54:02 UTC
Using Fedora 12 and turboprint-2.13-2.i586.rpm. Update from ghostscript-8.70-2.fc12.i686.rpm to ghostscript-8.70-5.fc12.i686.rpm started the black print page problem. 

Update to ghostscript-8.71-1.fc12.i686.rpm initially fixed it but after reboot black page again. Tried ghostscript-8.71-2.fc12.i686.rpm but still black page.

Dropped back to ghostscript-8.70-2.fc12.i686.rpm and works again (had to remove ghostscript and all dependencies first). My printer is a Canon MP780 and installed as local using tpu://Canon/MP780 .

Error in /var/log/messages :-

Feb 19 18:14:41 mail kernel: tpu[3334]: segfault at 64 ip 00d53bed sp b7809154 error 4 in libpthread-2.11.1.so[d4c000+16000]
Feb 19 18:14:41 mail abrtd: Directory 'ccpp-1266603281-3323' creation detected
Feb 19 18:14:41 mail abrtd: Lock file '/var/cache/abrt/ccpp-1266603281-3323.lock' is locked by process 3356
Feb 19 18:14:42 mail abrt[3356]: saved core dump of pid 3323 (/usr/lib/cups/backend/tpu) to /var/cache/abrt/ccpp-1266603281-3323/coredump (11063296 bytes)
Feb 19 18:14:42 mail abrtd: Executable '/usr/lib/cups/backend/tpu' doesn't belong to any package
Feb 19 18:14:42 mail abrtd: Corrupted or bad crash, deleting

Comment 12 Fedora Update System 2010-02-20 00:29:30 UTC
ghostscript-8.71-2.fc12 has been pushed to the Fedora 12 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update ghostscript'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F12/FEDORA-2010-1891

Comment 13 John Cooper 2010-02-20 09:48:23 UTC
Still only ghostscript-8.71-1.fc12 showing on yum update. Tried to install ghostscript-8.71-2.fc12.i686.rpm manually but got the same error which meant I had to completely uninstall ghostscript and dependencies first :-

sudo rpm -Uvh /data/ghostscript-8.71-2.fc12.i686.rpm 
error: Failed dependencies:
	libgs.so is needed by ghostscript-8.71-2.fc12.i686
	libgs.so.8 is needed by (installed) libspectre-0.2.3-1.fc12.i686

sudo yum provides /usr/lib/libgs.so.8

ghostscript-8.70-2.fc12.i686 : A PostScript interpreter and renderer.
Repo        : installed
Matched from:
Other       : Provides-match: /usr/lib/libgs.so.8

Which has nothing to do with libspectre. 8.70-1 installs fine. Should 8.70-2 really be checking for libgs.so ?

rpm -qlp /data/ghostscript-8.71-2.fc12.i686.rpm | grep libgs
/usr/lib/libgs.so.8
/usr/lib/libgs.so.8.71

Comment 14 John Cooper 2010-02-20 10:11:28 UTC
Removed ghostscript and dependencies, e.g.turboprint using sudo yum remove ghostscript. Still complaining about libgs.so , so

sudo rpm -Uvh --nodeps ghostscript-8.71-2.fc12.i686.rpm
sudo rpm -Uvh turboprint-2.12-2.i586.rpm

This time nothing actually get sent to the printer and no error messages. Turboprint print monitor just shows "Printer: USB error". Reinstalled 8.70-2 and works fine, monitor says "Printer: idle".

Comment 15 Fedora Update System 2010-02-20 20:04:49 UTC
ghostscript-8.71-4.fc12 has been submitted as an update for Fedora 12.
http://admin.fedoraproject.org/updates/ghostscript-8.71-4.fc12

Comment 16 John Cooper 2010-02-20 21:16:22 UTC
Installed ghostscript-8.71-4.fc12 successfully and tested ok before and after a reboot. Thanks, John.

Comment 17 Peter Bieringer 2010-02-22 22:08:20 UTC
8.71-4.fc12 finally worked for me, too, older version segfaulted with turboprint

gs[18071]: segfault at 2 ip 00000002 sp bfd20b64 error 4 in gs[755000+1000]
gs[18077]: segfault at 9 ip 00000009 sp bfd861c4 error 4
gs[18114]: segfault at 2 ip 00000002 sp bfdd4264 error 4
gs[18119]: segfault at 9 ip 00000009 sp bff1b694 error 4

Comment 18 Fedora Update System 2010-02-23 05:30:15 UTC
ghostscript-8.71-4.fc12 has been pushed to the Fedora 12 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update ghostscript'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F12/FEDORA-2010-2576

Comment 19 Fedora Update System 2010-02-27 03:34:46 UTC
ghostscript-8.71-4.fc12 has been pushed to the Fedora 12 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 20 Fedora Update System 2010-03-02 01:09:11 UTC
ghostscript-8.71-4.fc12 has been pushed to the Fedora 12 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 21 Fedora Update System 2010-03-03 01:50:18 UTC
ghostscript-8.71-4.fc12 has been pushed to the Fedora 12 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 22 Fedora Update System 2010-03-04 00:08:58 UTC
ghostscript-8.71-4.fc12 has been pushed to the Fedora 12 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 23 Fedora Update System 2010-03-06 03:39:05 UTC
ghostscript-8.71-4.fc12 has been pushed to the Fedora 12 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 24 Tim Waugh 2010-03-15 16:31:58 UTC
In ghostscript-8.71-5.fc12 I've reintroduced the change that originally caused this, but with a fix for this particular issue.

Comment 25 Fedora Update System 2010-03-16 15:38:52 UTC
ghostscript-8.71-6.fc11 has been submitted as an update for Fedora 11.
http://admin.fedoraproject.org/updates/ghostscript-8.71-6.fc11

Comment 26 Fedora Update System 2010-03-16 15:40:03 UTC
ghostscript-8.71-6.fc12 has been submitted as an update for Fedora 12.
http://admin.fedoraproject.org/updates/ghostscript-8.71-6.fc12

Comment 27 Fedora Update System 2010-03-16 15:41:34 UTC
ghostscript-8.71-9.fc13 has been submitted as an update for Fedora 13.
http://admin.fedoraproject.org/updates/ghostscript-8.71-9.fc13

Comment 28 Fedora Update System 2010-03-18 03:18:23 UTC
ghostscript-8.71-6.fc12 has been pushed to the Fedora 12 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update ghostscript'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/ghostscript-8.71-6.fc12

Comment 29 Fedora Update System 2010-03-18 03:31:15 UTC
ghostscript-8.71-6.fc11 has been pushed to the Fedora 11 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update ghostscript'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/ghostscript-8.71-6.fc11

Comment 30 Fedora Update System 2010-03-24 23:39:46 UTC
ghostscript-8.71-9.fc13 has been pushed to the Fedora 13 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 31 Fedora Update System 2010-04-13 01:55:36 UTC
ghostscript-8.71-6.fc12 has been pushed to the Fedora 12 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 32 Fedora Update System 2010-04-20 13:28:23 UTC
ghostscript-8.71-6.fc11 has been pushed to the Fedora 11 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.